from time import sleep
from machine import Pin, PWM, ADC

pot_pin=28 #Potentiometer Signal Pin
pot=ADC(pot_pin) #Declaring potentiometer as ADC Pin

led=Pin(13) #Led Pin
led_pwm=PWM(led) #Declaring LED as PWM Pin

frequency=5000 #Setting Frequency of PWM Signal
led_pwm.freq(frequency)


print("ADC with PWM Program V1")

while True:
    pot_value=pot.read_u16()
    
    print(pot_value)

    led_pwm.duty_u16(pot_value)
